#include<bits/stdc++.h>
using namespace std;
int main(){
int n,m,k;
cin>>n>>m>>k;
int linii[100000][2];
for(int i=0;i<m;i++){
    cin>>linii[i][0]>>linii[i][1];
}
int grupi[100][2];
for(int i=0;i<k;i++){
    cin>>grupi[i][0]>>grupi[i][1];
}
if(k==1){
    cout<<n<<endl;
}
return 0;
}